<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.szgl.mapper.SpdwVideoJnMapper">

  <resultMap id="spdwVideoJnMap" type="com.elephant.framework.galaxy.aroad.module.szgl.entity.SpdwVideoJn">
        <id property="city" column="city"/>
        <result property="area" column="area"/>
        <result property="spName" column="sp_name"/>
        <result property="spAddress" column="sp_address"/>
        <result property="spPort" column="sp_port"/>
        <result property="spUser" column="sp_user"/>
        <result property="spPwd" column="sp_pwd"/>
  </resultMap>


    <select id="JNByName" resultMap="spdwVideoJnMap">
        select * from spdw_video_jn where sp_name=#{spname}
    </select>
</mapper>
